Bug 806439 - Make Virtualization Management/Provisioning independent of Entitlements (Virtualization and Virtualization Platform)
Make Virtualization Management/Provisioning independent of Entitlements (Virt...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.8
All Linux
high Severity high
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On: 805932
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-03-23 14:28 EDT by Stephen Herr
Modified: 2012-11-01 12:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 805932
Environment:
Last Closed: 2012-11-01 12:18:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2012-03-23 14:28:38 EDT
+++ This bug was initially created as a clone of Bug #805932 +++

Description of problem:
In RHEL 5-era Spacewalk, we had Virtualization and Virtualization Platform entitlements.

As part of that we tied specific functionality within Satellite to those entitlements. This includes the two following pages:

rhn/systems/details/virtualization/VirtualGuestsList.do
 - provides the ability to list known guests
 - allows management of those guests, including
  - Setting memory, vCPU
  - Stop/Start/Restart/Pause/Resume/Delete guest 

rhn/systems/details/virtualization/ProvisionVirtualizationWizard.do
 - Allows to create a new guest and install a version of RHEL, matching a selected kickstart profile. 
  - Can install KVM, Xen Para-virt and Xen Fully-virt systems. 

These are both sub tabs of the Virtualization tab seen for systems. 

In the RHEL 6-era, we no longer use Virtualization and Virtualization Platform entitlements but instead have the concept of flex-guest entitlements for all virtual systems.

We now want to remove the restrictions for entitlement, and allow the ability to perform the function outlined and allow any system that *could* be a Virtual Host machine access to these tabs. 

--- Additional comment from cperry@redhat.com on 2012-03-22 10:55:02 EDT ---

Proposed changes for implementation. 
 
To access to view the top level tab for Virtualization - and resultant default guest list: 

rhn/systems/details/virtualization/VirtualGuestsList.do
 - System has Management
 - System is not a known virtual guest
 
rhn/systems/details/virtualization/ProvisionVirtualizationWizard.do
 - System has Provisioning 
  - this requirement is not there today, we are restricting provisioning actions for virtualization to provisioning entitlement and not the virtualization entitlements. 
 - System is not a known virtual guest

For both pages we will look at the systems package profile to see if the rhn-virtualization-host package is installed. If the package is not installed we will display text at the top of the page: 

NOTE: To enable and use virtualization capabilities within Satellite for this system, install the rhn-virtualization-host package from the associated RHN Tools child channel. Review Red Hat documentation for any other considerations and requirements that Red Hat Enterprise Linux has with enabling Virtualization of a Host system.
Comment 1 Stephen Herr 2012-03-23 14:36:39 EDT
I have implemented the changes as follows:

Access to those pages is no longer restricted by Virtualization / Virtualization Platform entitlement. Now any system that is:
1) a physical system (not a virtual guest)
2) has a management entitlement
And in the case of the Provisioning wizard page:
3) has a provisioning entitlement
can see the pages and access the content thereon. 

If the server in question does not have the rhn-virtualization-host package installed the functionality exposed on those pages will not work. If the server does not have the package we display a message telling the user to install it first.
Comment 2 Stephen Herr 2012-03-23 14:37:48 EDT
Committed to Spacewalk master as: 0fe863c6cc7784295aa0b041e37b054fde799190
Comment 3 Stephen Herr 2012-03-23 15:30:41 EDT
And 82ea3cdf5e0e4fcbcfb23a112576e61167139067
Comment 4 Jan Pazdziora 2012-10-30 15:23:19 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 5 Jan Pazdziora 2012-11-01 12:18:31 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.